package dk.nsp.uuid2cpr.proxy.service;

import org.junit.Test;
import org.springframework.mock.web.MockHttpServletResponse;

import static org.junit.Assert.*;

public class OpenApiWriterImplTest {
    private OpenApiWriterImpl subject = new OpenApiWriterImpl("http://foo");

    @Test
    public void writeOpenApi_writesDescriptor() throws Exception {
        // Arrange
        MockHttpServletResponse response = new MockHttpServletResponse();

        // Act
        subject.writeOpenApi(response);

        // Assert
        assertEquals(200, response.getStatus());
        assertTrue(response.getContentAsString().contains("Uuid2Cpr Proxy service"));
    }
}